<!DOCTYPE html>
<html>

<head>
    <script src="https://ajax.googleapis.com/ajax/libs/jquery/3.6.0/jquery.min.js"></script>
    <script src="https://cdnjs.cloudflare.com/ajax/libs/jquery-validate/1.19.3/jquery.validate.min.js"></script>
    <title>Sign Up page</title>
    <style>
        body {
            display: flex;
            justify-content: center;
        }

        .form {
            border: 3px solid black;
            width: 50%;
            height: 700px;
            padding: 20px;
        }

        p {
            margin-top: 0px;
            font-size: 13px;
            color: red;
        }

        label {
            font-family: 'Franklin Gothic Medium', 'Arial Narrow', Arial, sans-serif;
        }

        #lname,
        #fname,
        #email,
        #contact,
        #password,
        #confirm-password,
        #state {
            width: 50%;
        }

        input,
        select,
        label {
            margin-left: 10%;
        }

        .popup {
            display: none;
            width: 20%;
            height: 50px;
            background-color: aqua;
        }
    </style>
</head>

<body>
    <div class="form">
        <form>
        <div class="fname">
            <label>First Name</label><br>
            <input type="text" id="fname"><br>
            <p id="p1"></p>
        </div>
        <div class="lname">
            <label>Last Name</label><br>
            <input type="text" id="lname" required><br>
            <p id="p2"></p><br>
        </div>
        <div class="email">
            <label>Email</label><br>
            <input type="email" id="email" required><br>
            <p id="p3"></p><br>
        </div>
        <div class="contact">
            <label>Contact</label><br>
            <input type="number" id="contact" required><br>
            <p id="p4"></p><br>
        </div>
        <div class="gender">
            <label>Gender</label><br><br>
            <input type="radio"  value="male" name="gender">Male
            <input type="radio"  value="female" name="gender">Female
            <input type="radio" value="others" name="gender">Others<br>
            <p id="p8"></p>
        </div>
        <div class="state" id="dropdown">
            <label>State</label><br>
            <select id="state" required>
            </select><br>
            <p id="p5"></p>
        </div>
        <div class="subscribe">
            <input type="checkbox" id="subscribe">Subscribe<br><br>
        </div>
        <div class="password">
            <label>Password</label><br>
            <input type="password" id="password"><br>
            <p id="p6"></p><br>
        </div>
        <div class="confirm">
            <label>Confirm Password</label><br>
            <input type="password" id="confirm-password"><br>
            <p id="p7"></p><br>
        </div>
        <div class="check">
            <input type="checkbox" id="check-box" required><a id="pop" href="">Agree Terms & Conditions</a><br>
            <br><p id="p9"></p>
            <div class="popup">
                <p>These are the terms and conditions</p>
            </div>
        </div>
        <div class="btn">
            <br><input type="button" value="Sign Up" id="submit">
        </div>
        <script>
            $(document).ready(function () {
                $("#pop").click(function () {
                    $(".pop-up").show()
                });
                const states = ['--SELECT--', 'kerala', 'karnataka', 'Tamil Nadu', 'Goa'];
                for (let i = 0; i < states.length; i++) {
                    const para = document.createElement("option");
                    let dropdown = document.getElementById("state");
                    para.innerHTML = states[i];
                    dropdown.appendChild(para)
                }
                $('#submit').click(function () {
                    var fname = $('#fname').val();
                    var lname = $('#lname').val();
                    var email = $('#email').val();
                    var contact = $('#contact').val();
                    var password = $('#password').val();
                    var confirm = $('#confirm-password').val();
                    var state=$('#state').val();
                    var name_pattern = /^[a-zA-Z]+$/
                    var email_pattern = /^\w+([\.-]?\w+)*@\w+([\.-]?\w+)*(\.\w{2,3})+$/
                    var gender = $("input[name=gender]").val();
                    var check= $("input[id=check-box]").is(":checked");




                    if (fname.length == "" || name_pattern.test(fname) == "") {
                        $('#p1').text("Please enter a valid name");
                        $('#fname').focus();
                        return false;
                    }

                    if (lname.length == "" || name_pattern.test(lname) == "") {
                        $('#p2').text("Please enter a valid name");
                        $('#lname').focus();
                        return false;
                    }
                    if (email.length == "" || email_pattern.test(email) == "") {
                        $('#p3').text("Please enter a valid E-mail");
                        $('#email').focus();
                        return false;
                    }
                    if (contact.length == "" || contact.length != 10 || isNaN(contact)) {
                        $('#p4').text("Please enter a valid contact");
                        $('#contact').focus();
                        return false;
                    }
                    if (gender == "") {
                        $('#p8').text("Please enter a gender");
                        $('#gender').focus();
                        return false;
                    }
                    if(check==""){
                        $('#p9').text("Please agree to terms and conditions");
                        $('#check-box').focus();
                        return false;
                    }

                    if (password.length == "" || password.length<5) {
                        $('#p6').text("Please enter password");
                        $('#password').focus();
                        return false;
                    }
                    if (confirm.length == "" || confirm != password) {
                        $('#p7').text("Re enter your password");
                        $('#confirm-password').focus();
                        return false;
                    }
                    var data=[];
                    data.push(fname);
                    data.push(lname);
                    data.push(email);
                    data.push(contact);
                    data.push(gender);
                    data.push(state);
                    data.push(password);
                     var string=JSON.stringify(data);
                     console.log(string)

                })
            })

        </script>
        </form>
    </div>
</body>

</html>